Subject: Re: [patch v2 net-next 00/13] net: hns: add support of ACPI

From: Andy Shevchenko <[email-masked]>
Date: Mon, 30 May 2016 11:28:33 +0300

On Mon, 2016-05-30 at 10:10 +0800, Kejian Yan wrote:
> This series adds HNS support of acpi. The routine will call some ACPI
> helper functions, like acpi_dev_found() and acpi_evaluate_dsm(), which
> are not included in other cases. In order to make system compile
> successfully in other cases except ACPI, it needs to add relative stub
> functions to linux/acpi.h. And we use device property functions
> instead
> of serial helper functions to suport both DT and ACPI cases. And then
> add the supports of ACPI for HNS.

Looks better. I have only kinda bikeshedding comments in mind, which I
didn't put here, though there is one you perhaps need to address.

Otherwise FWIW:
Reviewed-by: Andy Shevchenko <[email-masked]>

> 
> change log:
>  v1 -> v2:
>  1. use acpi_dev_found() instead of acpi_match_device_ids() to check
> if
> it is a acpi node.
>  2. use is_of_node() instead of IS_ENABLED() to check if it is a DT
> node.
>  3. split the patch("add support of acpi for hns-mdio") into two
> patches:
>     3.1 Move to use fwnode_handle
>     3.2 Add ACPI
>  4. add the patch which subject is dsaf misc operation method
>  5. fix the comments by Andy Shevchenko
> 
> Kejian Yan (13):
>   ACPI: bus: add stub acpi_dev_found() to linux/acpi.h
>   ACPI: bus: add stub acpi_evaluate_dsm() to linux/acpi.h
>   net: hisilicon: cleanup to prepare for other cases
>   net: hisilicon: add support of acpi for hns-mdio
>   net: hns: use device_* APIs instead of of_* APIs
>   net: hns: use platform_get_irq instead of irq_of_parse_and_map
>   net: hns: enet specify a reference to dsaf by fwnode_handle
>   net: hns: add uniform interface for phy connection
>   net: hns: add dsaf misc operation method
>   net: hns: dsaf adds support of acpi
>   net: hns: register phy device in each mac initial sequence
>   net: hns: implement the miscellaneous operation by asl
>   net: hns: net: hns: enet adds support of acpi
> 
>  drivers/net/ethernet/hisilicon/hns/hnae.c          |  18 +-
>  drivers/net/ethernet/hisilicon/hns/hnae.h          |   5 +-
>  drivers/net/ethernet/hisilicon/hns/hns_ae_adapt.c  |   6 +-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_gmac.c |   6 +-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_mac.c  | 247
> +++++++++++++++-----
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_mac.h  |   4 +-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_main.c | 105 ++++++---
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_main.h |  33 ++-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_misc.c | 250
> ++++++++++++++++++---
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_misc.h |   7 +-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_ppe.c  |  15 +-
>  drivers/net/ethernet/hisilicon/hns/hns_dsaf_rcb.c  |   5 +-
>  .../net/ethernet/hisilicon/hns/hns_dsaf_xgmac.c    |  10 +-
>  drivers/net/ethernet/hisilicon/hns/hns_enet.c      |  90 +++++---
>  drivers/net/ethernet/hisilicon/hns/hns_enet.h      |   2 +-
>  drivers/net/ethernet/hisilicon/hns/hns_ethtool.c   |   2 +-
>  drivers/net/ethernet/hisilicon/hns_mdio.c          | 147 +++++++-----
>  include/linux/acpi.h                               |  13 ++
>  18 files changed, 710 insertions(+), 255 deletions(-)
> 

-- 
Andy Shevchenko <[email-masked]>
Intel Finland Oy